Subject: [alpine-aports] [PATCH] main/tzdata: upgrade to 2015g

From: Sören Tempel <[email-masked]>
Date: Sat, 3 Oct 2015 01:23:39 +0200

Instead of patching the broken Makefile I decided to install the
relevant files manually. Other major linux distributions (e.g. arch
linux) also do it this way.
---
 main/tzdata/0001-posixtz-fix-up-lseek.patch |  4 +-
 main/tzdata/APKBUILD                        | 70 +++++++++++++++++------------
 2 files changed, 43 insertions(+), 31 deletions(-)

diff --git a/main/tzdata/0001-posixtz-fix-up-lseek.patch b/main/tzdata/0001-posixtz-fix-up-lseek.patch
index 1db3eba..4bf164f 100644
--- a/main/tzdata/0001-posixtz-fix-up-lseek.patch
+++ b/main/tzdata/0001-posixtz-fix-up-lseek.patch
@@ -11,8 +11,8 @@ causing a word masking issue.
 
 diff --git a/posixtz.c b/posixtz.c
 index cddcb3e..972ca31 100644
---- a/posixtz-0.3/posixtz.c
-+++ b/posixtz-0.3/posixtz.c
+--- a/posixtz-0.5/posixtz.c
++++ b/posixtz-0.5/posixtz.c
 @@ -36,7 +36,7 @@ char *posix_tz(const char *filename)
  	if (r != TZ_BUFLEN
  	    || strncmp(buf, "TZif", 4) != 0
diff --git a/main/tzdata/APKBUILD b/main/tzdata/APKBUILD
index 54cd0bf..66b6bd4 100644
--- a/main/tzdata/APKBUILD
+++ b/main/tzdata/APKBUILD
@@ -1,25 +1,29 @@
+# Contributor: Sören Tempel <[email-masked]>
 # Contributor: Natanael Copa <[email-masked]>
 # Maintainer: Natanael Copa <[email-masked]>
 pkgname=tzdata
-pkgver=2015f
-_tzcodever=2013g
-_ptzver=0.3
+pkgver=2015g
+_tzcodever=2015g
+_ptzver=0.5
 pkgrel=0
 pkgdesc="Timezone data"
 url="http://www.twinsun.com/tz/tz-link.htm"
 arch="all"
 license="Public Domain"
-depends=
-makedepends=
-install=
+depends=""
+depends_dev=""
+makedepends=""
+install=""
 subpackages="$pkgname-doc"
 source="http://www.iana.org/time-zones/repository/releases/tzcode$_tzcodever.tar.gz
 	http://www.iana.org/time-zones/repository/releases/tzdata$pkgver.tar.gz
-	http://dev.alpinelinux.org/archive/posixtz/posixtz-$_ptzver.tar.bz2
-	Makefile.patch
+	http://dev.alpinelinux.org/archive/posixtz/posixtz-$_ptzver.tar.xz
 	0001-posixtz-fix-up-lseek.patch"
 
 _builddir="$srcdir"
+_timezones="africa antarctica asia australasia europe northamerica \
+	southamerica pacificnew etcetera backward systemv factory"
+
 prepare() {
 	local i
 	cd "$_builddir"
@@ -32,35 +36,43 @@ prepare() {
 
 build() {
 	cd "$_builddir"
-	make CFLAGS="$CFLAGS -DHAVE_STDINT_H=1" || return 1
+	make cc="${CC:-gcc}" CFLAGS="$CFLAGS -DHAVE_STDINT_H=1"
+		TZDIR="/usr/share/zoneinfo" || return 1
 
 	cd "$srcdir"/posixtz-$_ptzver
-	make posixtz
+	make posixtz || return 1
 }
 
 package() {
 	cd "$_builddir"
-	make DESTDIR="$pkgdir" \
-		install || return 1
-	rm -f "$pkgdir"/usr/share/zoneinfo/localtime
 
-	rm "$pkgdir"/usr/bin/tzselect || return 1
+	./zic -y ./yearistype -d "$pkgdir"/usr/share/zoneinfo ${_timezones}
+	./zic -y ./yearistype -d "$pkgdir"/usr/share/zoneinfo/right -L leapseconds ${_timezones}
+	#./zic -y ./yearistype -d "$pkgdir"/usr/share/zoneinfo/posix ${_timezones}
+
+	./zic -y ./yearistype -d "$pkgdir"/usr/share/zoneinfo -p America/New_York
+	install -m444 -t "$pkgdir"/usr/share/zoneinfo iso3166.tab zone1970.tab zone.tab
+
+	mkdir -p "$pkgdir"/usr/sbin
+	install -m755 zic zdump "$pkgdir"/usr/sbin || return 1
+
+	mkdir -p "$pkgdir"/usr/share/man/man8
+	install -m644 zic.8 zdump.8 "$pkgdir"/usr/share/man/man8 || return 1
+
+	rm -f "$pkgdir"/usr/share/zoneinfo/localtime || return 1
 	install -Dm755 "$srcdir"/posixtz-$_ptzver/posixtz \
 		"$pkgdir"/usr/bin/posixtz || return 1
 }
 
-md5sums="cc2a52297310ba1a673dc60973ea3ad8  tzcode2013g.tar.gz
-e3b82732d20e973e48af1c6f13df9a1d  tzdata2015f.tar.gz
-99efce32b3f870e1b071ce47f3a98a18  posixtz-0.3.tar.bz2
-126e34b1ae9104153082137c14edd72f  Makefile.patch
-0b4d86d855f7daa3f79c9f28f04a48f9  0001-posixtz-fix-up-lseek.patch"
-sha256sums="c7c358b459bb65cfab7b7bdd6a9689233fc393f1f9fdf4f0f46ca7dac5a9587b  tzcode2013g.tar.gz
-959f81b541e042ecb13c50097d264ae92ff03a57979c478dbcf24d5da242531d  tzdata2015f.tar.gz
-574a765e0569458d7ccb76e97b3a96de2f0c19ad093c6811675b8a57f7088a53  posixtz-0.3.tar.bz2
-0b39b50eb3c94bbd2cad353a45a9574b1aa514a919ae46e6a98aec725a6363dd  Makefile.patch
-e0b6de6a3d389f96dc95e5b75c2ada9afc63858e3770a0f07a62e1e56a77561e  0001-posixtz-fix-up-lseek.patch"
-sha512sums="dd4475916fe36609155d72cfe434b387455ba860cee15fbbbb5caf37cc77757d467c4ae80e81396280e8d3fb68e131373151e8d0eee9bbf8674b96f99e0a9cbd  tzcode2013g.tar.gz
-d86e6c9e4c6d9cd5de30762723d7a90ac697feeb6dd1f04649f6a35e4e1dc638261c32066db4aeafa767ac339ccd100c38dde044ceadd61e95cb3d39c27f977e  tzdata2015f.tar.gz
-57dfd38a4050230e49ec9a23bfec5e995dd48ed1fa338a72c4d2c3b86590d4c7357d3dc6d12b4f1564beebcf48f0d0ed855574e4ba29268160d8f84928a477fd  posixtz-0.3.tar.bz2
-b70f31600060382cd834fa8aa7567c198be55f32e7ad8b1384f8fed1d682d45406264311550f67db6277ab8b64e5394afcf4b55ab9d8f8000c56031485e7512b  Makefile.patch
-c7ddb4eecf8e55e6153f641d478a3affa2522e093e94e95e2ee43039a5c6eed28dcc472bcaa3a7c7c1b84747744c25028467e0048765ef0fc75b89345fc29318  0001-posixtz-fix-up-lseek.patch"
+md5sums="a2c47d908a6426f530efb1393cf1cd06  tzcode2015g.tar.gz
+8d46e8b225b9a04c75f5c39636435ad6  tzdata2015g.tar.gz
+80f8ae1df19dd28e1c8b192c6ea7b836  posixtz-0.5.tar.xz
+ca177ded459c9d9c543b5d6ffcc6d6ac  0001-posixtz-fix-up-lseek.patch"
+sha256sums="18e402ef24bfad2ded38643c9a7a9a580f940a729cb47d983052fc28ff0c7ec4  tzcode2015g.tar.gz
+b923cdbf078491696b17bc8d069c74bce73fabc5774629da2f410c9b31576161  tzdata2015g.tar.gz
+e0a79e0922be2da686a1888d79cd253baaf81c2f30b4378fbbcf9ff9d632aab5  posixtz-0.5.tar.xz
+4e7496c015878226659c45f22adf3d556692993465c4b837a6f92829fede8b71  0001-posixtz-fix-up-lseek.patch"
+sha512sums="44da833da3afdb82636a953785372bb4c765e61e40d700da40b46ab70007ebdbde4d480e10b87cbb36c45eaaffcaa6b9894375e2f553b7d16655dc167cd4a11f  tzcode2015g.tar.gz
+ad7de0e3e8753861d260f0fcbcbca327516a4dc826f7659370a7fb979e6154f1a26b23d2609acf6e1790c8c59da0b76c42f4a94bf361409c1460f6a8ffa6f879  tzdata2015g.tar.gz
+68dbaab9f4aef166ac2f2d40b49366527b840bebe17a47599fe38345835e4adb8a767910745ece9c384b57af815a871243c3e261a29f41d71f8054df3061b3fd  posixtz-0.5.tar.xz
+f54ce213d74c5a8387e1a7c56299bc6eee65a035772288222128abc249a112067b8791b88b45c342b2d4d8d12e9e4f1f2f5c92c5de67f8b6413b1ebf1d7de467  0001-posixtz-fix-up-lseek.patch"
-- 
2.6.0

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---